%define upstream_name    PDF-Builder
%define upstream_version 3.021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Facilitates the creation and modification of PDF files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Font::TTF) >= 1.40.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Memory::Cycle) >= 1.0.0
BuildArch:  noarch

%description
Represents a page of output in PDF. It also keeps track of the content
stream, any resources (such as fonts) being switched, etc.

Page inherits from Pages due to a number of shared methods. They are really
structurally quite different.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INFO META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Dec 29 2020 tv <tv> 3.21.0-1.mga8
+ Revision: 1664672
- update to 3.021

* Mon Nov 30 2020 tv <tv> 3.20.0-1.mga8
+ Revision: 1650628
- update to 3.020

* Wed Nov 11 2020 tv <tv> 3.19.0-1.mga8
+ Revision: 1644465
- imported package perl-PDF-Builder

